Azure
probe Machine

# describe_machines

Describe Azure virtual machines

Run it now
View details

Type | probe
Module | chaosazure.machine.probes
Name | describe_machines
Return | None

Usage

JSON

    {
      "name": "describe-machines",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosazure.machine.probes",
        "func": "describe_machines"
      }
    }

YAML

    name: describe-machines
    provider:
      func: describe_machines
      module: chaosazure.machine.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
filter | string | null | No | Filter | Target filter selector

If the filter is omitted all machines in the subscription will be selected as potential chaos candidates.

Filtering example: `'where resourceGroup=="myresourcegroup" and name="myresourcename"'`

Signature

    def describe_machines(filter: str = None,
                          configuration: Dict[str, Dict[str, str]] = None,
                          secrets: Dict[str, Dict[str, str]] = None):
        pass

## Related starters

- Azure
  action Machine

  ## `network_latency`

  Increases the response time of the virtual machine
- Azure
  action Machine

  ## `restart_machines`

  Restart virtual machines at random
- Azure
  action Machine

  ## `fill_disk`

  Fill the disk with random data